%% Plot nice figures for LPM with det3
clear all; close all; clc
load DATAdel.mat
BTIME =BID(:,1);
XBPM = BID(:,2);
QICT1 =BID(:,3);
QICT2 =BID(:,4);
RESEAU_POS =BID(:,19);
DETECT_XPOS=BID(:,15);
DETECT_ZPOS=BID(:,17);
DETECT_SPOS=BID(:,13);
DETECT_RS1 =BID(:,5);
DETECT_RS2 =BID(:,7);
DETECT_RS3 =BID(:,9);
DETECT_RS4 =BID(:,11);
LPM =BID(:,21);

Dshift=145000;%90^o postion in S
H=345520;%distanse from grating to detector. Check if that is true!!!


figure
hold on
cut=(LPM==2)&(BTIME>736762)&(AMP(:,3)~=1e+6)&(RESEAU_POS==1.45e+6)&(DETECT_ZPOS==-1.45e+5)&(DETECT_XPOS==0)&(QICT1>0.4)&(QICT1<0.6)&(QICT2>0.4);
plot(atan((DETECT_SPOS(cut)+Dshift)/H)/pi*180+90,-AMP(cut,3)./(QICT1(cut).^2),'or')
[Xpos,Ypos, ~]=makemean(DETECT_SPOS(cut),-AMP(cut,3)./(QICT1(cut).^2));
plot(atan((Xpos+Dshift)/H)/pi*180+90,Ypos, '-k','linew',2)
set(gca, 'fontsize', 16)
xlabel('Angle, [deg]')
ylabel('Signal/Q^2, [a.u.]')
legend('Raw data','mean'); 
title('Q_e=0.5\pm0.1 [nC]')
grid on
xlim([30 130])

figure
hold on
cut=(LPM==2)&(BTIME>736762)&(AMP(:,3)~=1e+6)&(RESEAU_POS==1.45e+6)&(DETECT_ZPOS==-1.45e+5)&(DETECT_RS4==-3)&(DETECT_XPOS==0)&(QICT1>3.1)&(QICT1<3.5)&(QICT2>1);
cut=cut&((((BTIME<736762.5)|(BTIME>736765))&((BTIME<736770)|(BTIME>736773))));
plot(atan((DETECT_SPOS(cut)+Dshift)/H)/pi*180+90,-AMP(cut,3)./(QICT1(cut).^2),'or')
[Xpos,Ypos, ~]=makemean(DETECT_SPOS(cut),-AMP(cut,3)./(QICT1(cut).^2));
plot(atan((Xpos+Dshift)/H)/pi*180+90,Ypos, '-k','linew',2)
set(gca, 'fontsize', 16)
xlabel('Angle, [deg]')
ylabel('Signal/Q^2, [a.u.]')
legend('Raw data','mean'); 
title('Q_e=3.3\pm0.2 [nC]')
grid on
xlim([30 130])

 checkparam(cut,1)

